# Uses of Interface
org.eclipse.jdt.core.jdom.IDOMField

Packages that use IDOMField
Package
Description
org.eclipse.jdt.core.jdom
Provides a support for Java document manipulation through the JDOM model.

## Uses of IDOMField in org.eclipse.jdt.core.jdom

Methods in org.eclipse.jdt.core.jdom that return IDOMField
Modifier and Type
Method
Description
`IDOMField`
DOMFactory.`createField()`
Deprecated.
`IDOMField`
DOMFactory.`createField(String sourceCode)`
Deprecated.
`IDOMField`
IDOMFactory.`createField()`
Deprecated.
Creates a default field document fragment.
`IDOMField`
IDOMFactory.`createField(String sourceCode)`
Deprecated.
Creates a field document fragment on the given source code.